## libvirt-dbus 1.4.0

=== meson_options.txt ===
option('dbus_services', type: 'string', value: 'dbus-1/services', description: 'D-Bus session services directory')
option('dbus_system_services', type: 'string', value: 'dbus-1/system-services', description: 'D-Bus system services directory')
option('dbus_system_policies', type: 'string', value: 'dbus-1/system.d', description: 'D-Bus system policies directory')
option('dbus_interfaces', type: 'string', value: 'dbus-1/interfaces', description: 'D-Bus interfaces directory')
option('polkit_rules', type: 'string', value: 'polkit-1/rules.d', description: 'polkit rules directory')
option('system_user', type: 'string', value: 'libvirtdbus', description: 'username to run system instance as')

## libvirt-dbus 1.2.0

=== debian/changelog ===
libvirt-dbus (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #901733)

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 19 Jul 2018 01:33:15 +0200

=== debian/control ===
Source: libvirt-dbus
Section: admin
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Andrea Bolognani <eof@kiyuko.org>
Homepage: https://libvirt.org/
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-dbus.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-dbus
Build-Depends: debhelper (>= 11),
               dh-sysuser,
               autoconf,
               automake,
               libtool,
               pkg-config,
               libvirt-dev (>= 3.0.0),
               libglib2.0-dev (>= 2.44.0),
               libvirt-glib-1.0-dev (>= 0.0.7),
               dbus,
               python3,
               python3-gi,
               python3-dbus,
               python3-pytest
Standards-Version: 4.1.5
Rules-Requires-Root: no

Package: libvirt-dbus
Architecture: any
Depends: dbus,
         policykit-1,
         libvirt-daemon,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libvirt-daemon-system
Description: libvirt D-Bus API bindings
 Libvirt is a C toolkit to interact with the virtualization
 capabilities of recent versions of Linux (and other OSes). The
 library aims at providing a long term stable C API for different
 virtualization mechanisms. It currently supports QEMU, KVM, XEN,
 OpenVZ, LXC, and VirtualBox.
 .
 This package provides access to the libvirt API through D-Bus.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with sysuser

# Run configure.
#
# We want to be explicit about the user the daemon will run as, even
# though it matches the default, in case upstream changes their mind
# about the name at some point in the future.
override_dh_auto_configure:
	dh_auto_configure -- \
	                  --with-system-user=libvirtdbus

# Install files.
#
# We use debian/tmp as a staging area so that we can have full control
# over what exactly ends up in the package.
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	# polkit 105 compatibility
	install -m 0755 -d \
	        debian/tmp/var/lib/polkit-1/localauthority/10-vendor.d/
	install -m 0644 \
	        debian/polkit/libvirt-dbus.pkla \
	        debian/tmp/var/lib/polkit-1/localauthority/10-vendor.d/

# Install changelogs.
#
# Upstream releases don't include a ChangeLog file, but the NEWS file
# contains all information users might be interested in.
override_dh_installchangelogs:
	dh_installchangelogs NEWS

## libvirt-dbus 1.3.0

=== debian/changelog ===
libvirt-dbus (1.3.0-1ubuntu1) focal-security; urgency=medium

  * d/postinst: add libvirtdbus to group libvirt to be able to access the
    sockets of libvirtd (LP: #1802005)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 29 Sep 2020 15:16:03 +0200

libvirt-dbus (1.3.0-1) unstable; urgency=medium

  * [5145a3b] New upstream version 1.3.0
  * [28200d6] Drop fix-make-check-for-root.patch
  * [a399d00] Upgrade libvirt-daemon-system from Suggests to Depends
  * [77f9984] Add dbus-session-bus to Depends
  * [31e933d] Install upstream release notes as NEWS.gz
  * [5612ba1] Update Standards-Version to 4.3.0

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 23 Jan 2019 18:04:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libvirt-dbus
 Section: admin
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Andrea Bolognani <eof@kiyuko.org>
 Homepage: https://libvirt.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-dbus.git
@@ -20,17 +21,18 @@
                python3-gi,
                python3-dbus,
                python3-pytest
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 
 Package: libvirt-dbus
 Architecture: any
 Depends: dbus,
+         default-dbus-session-bus | dbus-session-bus,
          policykit-1,
          libvirt-daemon,
+         libvirt-daemon-system,
          ${shlibs:Depends},
          ${misc:Depends}
-Suggests: libvirt-daemon-system
 Description: libvirt D-Bus API bindings
  Libvirt is a C toolkit to interact with the virtualization
  capabilities of recent versions of Linux (and other OSes). The

=== debian/rules ===
--- 
+++ 
@@ -26,10 +26,3 @@
 	install -m 0644 \
 	        debian/polkit/libvirt-dbus.pkla \
 	        debian/tmp/var/lib/polkit-1/localauthority/10-vendor.d/
-
-# Install changelogs.
-#
-# Upstream releases don't include a ChangeLog file, but the NEWS file
-# contains all information users might be interested in.
-override_dh_installchangelogs:
-	dh_installchangelogs NEWS

## libvirt-dbus 1.4.0

=== debian/changelog ===
libvirt-dbus (1.4.0-2) unstable; urgency=medium

  * [3d0e87e] patches: Backport recent fixes (Closes: #971171)

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 06 Nov 2020 11:47:28 +0100

libvirt-dbus (1.4.0-1) unstable; urgency=medium

  * [47a48e5] New upstream version 1.4.0
  * [491340e] patches: Drop tests-fix-[...]_xml-test-case.patch
  * [1f6fcd9] rules: Export dpkg build flags
  * [660548d] rules: Enable bindnow hardening option

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 05 May 2020 01:16:38 +0200

libvirt-dbus (1.3.0-2) unstable; urgency=medium

  * [31450a2] patches: Drop debian/workaround-libvirt-packaging.patch
  * [356cb80] patches: Add tests-fix...xml-test-case.patch (Closes: #952200)
  * [744cf54] debhelper: Use compat level 12
  * [718d33b] control: Update Standards-Version to 4.5.0

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 08 Apr 2020 21:59:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: libvirt-dbus
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Andrea Bolognani <eof@kiyuko.org>
 Homepage: https://libvirt.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-dbus.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-dbus
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-sysuser,
-               autoconf,
-               automake,
-               libtool,
+               meson,
                pkg-config,
                libvirt-dev (>= 3.0.0),
                libglib2.0-dev (>= 2.44.0),
@@ -20,8 +17,9 @@
                python3,
                python3-gi,
                python3-dbus,
+               python3-docutils,
                python3-pytest
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
 Package: libvirt-dbus

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

BUILDDIR = $(CURDIR)/debian/build
DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with sysuser \
	      --builddir $(BUILDDIR)

# Run configure.
#
# We want to be explicit about the user the daemon will run as, even
# though it matches the default, in case upstream changes their mind
# about the name at some point in the future.
override_dh_auto_configure:
	dh_auto_configure -- \
	                  -Dsystem_user=libvirtdbus

# Install files.
#
# We use debian/tmp as a staging area so that we can have full control
# over what exactly ends up in the package.
#
# The upstream build system takes care of most files, but we also add
# a few extra taken from both upstream and downstream: this will make
# it possible to conveniently pick them up using the usual debhelper
# tools later.
override_dh_auto_install:
	dh_auto_install --destdir $(DESTDIR)
	install -m 0755 -d \
	        $(DESTDIR)/usr/share/doc/libvirt-dbus/
	install -m 0644 \
	        NEWS.rst \
	        $(DESTDIR)/usr/share/doc/libvirt-dbus/NEWS
	install -m 0755 -d \
	        $(DESTDIR)/var/lib/polkit-1/localauthority/10-vendor.d/
	install -m 0644 \
	        debian/polkit/libvirt-dbus.pkla \
	        $(DESTDIR)/var/lib/polkit-1/localauthority/10-vendor.d/

## libvirt-dbus 1.4.1

=== meson_options.txt ===
--- 
+++ 
@@ -2,5 +2,8 @@
 option('dbus_system_services', type: 'string', value: 'dbus-1/system-services', description: 'D-Bus system services directory')
 option('dbus_system_policies', type: 'string', value: 'dbus-1/system.d', description: 'D-Bus system policies directory')
 option('dbus_interfaces', type: 'string', value: 'dbus-1/interfaces', description: 'D-Bus interfaces directory')
+option('git_werror', type: 'feature', value: 'auto', description: 'use -Werror if building from GIT')
 option('polkit_rules', type: 'string', value: 'polkit-1/rules.d', description: 'polkit rules directory')
 option('system_user', type: 'string', value: 'libvirtdbus', description: 'username to run system instance as')
+option('unix_socket_group', type: 'string', value: 'libvirt', description: 'libvirt UNIX domain socket group')
+option('init_script', type: 'combo', choices: ['systemd', 'other', 'check'], value: 'check', description: 'Style of init script to install')

=== debian/changelog ===
libvirt-dbus (1.4.1-3) unstable; urgency=medium

  [ Andrea Bolognani ]
  * [178c4ed] Depend on polkitd instead of policykit-1
    - Makes it possible to not install / uninstall pkexec
    - Closes: #1025579
  * [a352731] Drop polkit rules in legacy pkla format
    - Makes it possible to not install / uninstall polkitd-pkla
  * [1e48507] control: Bump Standards-Version to 4.6.2.
    - No changes needed.
  * [44a39bb] Don't depend on a specific dbus implementation
    - libvirt-dbus works just fine with e.g. dbus-broker

  [ Debian Janitor ]
  * [dfd323f] Remove constraints unnecessary since buster (oldstable)

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 28 Jan 2023 17:36:08 +0100

libvirt-dbus (1.4.1-2) unstable; urgency=medium

  [ Pino Toscano ]
  * [039dcad] Mark test-only build dependencies as !nocheck
  * [a4114de] Switch python3 build dependency to python3:any

  [ Martin Pitt ]
  * [f1e99a2] postinst: Fix check for Ubuntu (LP: #1802005)

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 19 Apr 2022 23:47:16 +0200

libvirt-dbus (1.4.1-1) unstable; urgency=medium

  [ Andrea Bolognani ]
  * [6e67b2c] New upstream version 1.4.1
    - Drop all backported patches
  * [f479b98] rules: Explicitly disable deep systemd integration
    - Needed to keep libvirt-dbus working under other init systems
  * [b141c8c] debhelper: Use compat level 13
  * [85643fe] control: Update Standards-Version to 4.6.0
    - No changes needed

  [ Christian Ehrhardt ]
  * [a99e33e] d/postinst: add libvirtdbus user to libvirt group
    - This is only done on Ubuntu, where group membership is used
      instead of polkit to manage access to libvirt (LP: #1802005)

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 03 Dec 2021 21:44:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,29 +6,29 @@
 Homepage: https://libvirt.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-dbus.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-dbus
-Build-Depends: debhelper-compat (= 12),
-               dh-sysuser,
+Build-Depends: debhelper-compat (= 13),
                meson,
                pkg-config,
-               libvirt-dev (>= 3.0.0),
-               libglib2.0-dev (>= 2.44.0),
-               libvirt-glib-1.0-dev (>= 0.0.7),
-               dbus,
-               python3,
-               python3-gi,
-               python3-dbus,
+               libvirt-dev,
+               libglib2.0-dev,
+               libvirt-glib-1.0-dev,
+               dbus <!nocheck>,
+               python3:any,
+               python3-gi <!nocheck>,
+               python3-dbus <!nocheck>,
                python3-docutils,
-               python3-pytest
-Standards-Version: 4.5.0
+               python3-pytest <!nocheck>,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: libvirt-dbus
 Architecture: any
-Depends: dbus,
+Depends: default-dbus-system-bus | dbus-system-bus | dbus,
          default-dbus-session-bus | dbus-session-bus,
-         policykit-1,
+         polkitd (>= 121+compat0.1-2),
          libvirt-daemon,
          libvirt-daemon-system,
+         adduser,
          ${shlibs:Depends},
          ${misc:Depends}
 Description: libvirt D-Bus API bindings

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

BUILDDIR = $(CURDIR)/debian/build
DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --builddir $(BUILDDIR)

# Run configure.
#
# We want to be explicit about the user the daemon will run as, even
# though it matches the default, in case upstream changes their mind
# about the name at some point in the future.
override_dh_auto_configure:
	dh_auto_configure -- \
	                  -Dinit_script=other \
	                  -Dsystem_user=libvirtdbus

# Install files.
#
# We use debian/tmp as a staging area so that we can have full control
# over what exactly ends up in the package.
override_dh_auto_install:
	dh_auto_install --destdir $(DESTDIR)

# Install extra files.
#
# The upstream build system takes care of most files, but we also add
# a few extra: this will make it possible to conveniently pick them up
# using the usual debhelper tools later.
execute_after_dh_auto_install:
	install -m 0755 -d \
	        $(DESTDIR)/usr/share/doc/libvirt-dbus/
	install -m 0644 \
	        NEWS.rst \
	        $(DESTDIR)/usr/share/doc/libvirt-dbus/NEWS

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://libvirt.org/sources/dbus/ \
  ^@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@$
